# syntax=docker/dockerfile:1
ARG CACAO_BUILD_IMAGE
ARG SKAFFOLD_GO_GCFLAGS
FROM ${CACAO_BUILD_IMAGE} as base
COPY ./deployment-service/ /cacao/deployment-service/
WORKDIR /cacao/deployment-service/terraform_execution/
RUN --mount=type=cache,target=/root/.cache/go-build eval go build -gcflags="${SKAFFOLD_GO_GCFLAGS}" -o deployment_terraform_execution

FROM gcr.io/distroless/base-debian12:nonroot
ARG GOTRACEBACK
ENV GOTRACEBACK="$GOTRACEBACK"
COPY --from=base /cacao/deployment-service/terraform_execution/deployment_terraform_execution /
CMD ["/deployment_terraform_execution"]
